Bug 491040 - candidate selection needs scrollbar and selection by mouse
candidate selection needs scrollbar and selection by mouse
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On: 488666
Blocks: 481098
  Show dependency treegraph
 
Reported: 2009-03-18 23:31 EDT by Warren Togami
Modified: 2009-06-15 22:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.0.20090612-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 22:29:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-03-18 23:31:06 EDT
After Bug #488666 is fixed to make the candidate selection vertical, the  interface should be improved in two ways:

* Pg-Up/Pg-Down buttons should allow viewing the next group of candidates without hitting the down button or spacebar 10 times.
* There should be a vertical scrollbar.  The vertical scrollbar allows the user to know at a glance roughly how many candidates there are, and also click to scroll through candidates.
Comment 1 Jens Petersen 2009-04-07 02:22:46 EDT
Page Up and Down should work now.
Comment 2 Warren Togami 2009-04-07 02:33:43 EDT
Pg-Up/Pg-Down buttons now seem to work in both ibus-hangul and ibus-anthy.  They need further improvement however to stop at the ends and do not wrap around.  This part might be easy enough to implement before F-11.

Scrollbar would be more difficult, post-F11 definitely.
Comment 3 Jens Petersen 2009-04-09 01:31:03 EDT
Yes the Page_Up and Page_Down *keys* work but the GUI buttons do not page for me.
Comment 4 Jens Petersen 2009-04-09 01:37:42 EDT
Nevermind I see - need to have mouse selection of candidate before changing the icons behaviour.
Comment 5 Bug Zapper 2009-06-09 08:23:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2009-06-12 02:29:40 EDT
ibus-1.1.0.20090612-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-1.1.0.20090612-1.fc11
Comment 7 Peng Huang 2009-06-12 02:33:02 EDT
Redefine arrow buttons to PageUp & PageDown on lookup table window.
Also implement API for using mouse click to select candidate, but it also needs modify engine to handle mouse click event.
Comment 8 Fedora Update System 2009-06-15 22:29:08 EDT
ibus-1.1.0.20090612-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.